<template>
  <basic-container style="width: 100%">
    <el-form :inline="true" :model="formInline" class="demo-form-inline">
      <el-form-item label="审批人">
        <el-input v-model="formInline.user" placeholder="审批人"></el-input>
      </el-form-item>
      <el-form-item label="活动区域">
        <el-select v-model="formInline.region" placeholder="活动区域">
          <el-option label="区域一" value="shanghai"></el-option>
          <el-option label="区域二" value="beijing"></el-option>
        </el-select>
      </el-form-item>
      <el-form-item>
        <el-button type="primary" @click="lookToken">查询</el-button>
      </el-form-item>
      <el-form-item style="float: right">
        <el-button type="primary" @click="getById">新增</el-button>
      </el-form-item>
    </el-form>
    <div class="law-table-main">
      <el-table
        :height="tableHeight"
        @row-click="rowget"
        :data="tableData">
        <el-table-column
          prop="casePoint"
          label="案由"
          :show-overflow-tooltip="true"
          min-width="22%"
        ></el-table-column>
        <el-table-column
          prop="litigant"
          label="当事人姓名"
          min-width="20%">
        </el-table-column>
        <el-table-column
          prop="phone"
          label="联系电话"
          min-width="22%"
        ></el-table-column>
        <el-table-column
          prop="unitName"
          label="提交时间"
          sortable
          min-width="18%"
        ></el-table-column>
        <el-table-column
          prop="caseSource"
          label="执法人"
          :show-overflow-tooltip="true"
          min-width="18%"
        ></el-table-column>
<!--        <el-table-column
          label="操作"
          align="center"
          header-align="center"
          min-width="18%">
          <template v-slot:="scope">
            <el-button type="text" @click="goProcess(scope.row)">
              <img src="../../../assets/lawImg/seeIcon.png" alt="">
            </el-button>
            <el-button type="text" @click="getById(scope.row.id)">
              <img src="../../../assets/lawImg/editIcon2.png" alt="">
            </el-button>
          </template>
        </el-table-column>-->
      </el-table>
    </div>
    <div class="avue-crud__pagination">
      <el-pagination
        @size-change="sizeChangeHandle"
        @current-change="currentChangeHandle"
        :current-page="pageIndex"
        :page-sizes="[10, 20, 50, 100]"
        :page-size="pageSize"
        :total="total"
        background
        layout="total, sizes, prev, pager, next, jumper"
      >
      </el-pagination>
    </div>
    <SunmaryProcedureForm v-if="isShow" ref="sunmaryProcedure" @cancel="cancel"></SunmaryProcedureForm>
  </basic-container>
</template>

<script>
import {getObj} from '@/api/News/pad'

export default {
  name: "index",

  data() {
    return {
      isShow:false,
      formInline: {
        user: '',
        region: ''
      },
      pageSize:10,
      pageIndex:1,
      total:10,
      tableHeight: 460,
      tableData: [{
        phone:'1883029',
        date: '2016-05-02',
        name: '王小虎',
        address: '上海市普陀区金沙江路 1518 弄'
      }, {
        date: '2016-05-04',
        name: '王小虎',
        address: '上海市普陀区金沙江路 1517 弄'
      }, {
        date: '2016-05-01',
        name: '王小虎',
        address: '上海市普陀区金沙江路 1519 弄'
      }, {
        date: '2016-05-03',
        name: '王小虎',
        address: '上海市普陀区金沙江路 1516 弄'
      }]
    }
  },
  created() {
    this.getDataList()
  },
  methods: {
    // 查询列表
    lookToken(){
      // this.$nextTick(()=>{
      //   let a =window.android.getAppToken()
      this.formInline.user=window.android.getAppToken()
        // console.log(window.android.getAppToken(),'window==')
      // })
    },
    //点击点跳转查看
    rowget(row,column) {
      console.log(row,'row===')
      console.log(column,'column===')
      // this.$router.push({name: 'process_manage', params: {name: id}})
      this.$router.push({
        path: '/padWord',
        query: {
          id: row.id,
        }
      })
    },
    //打开新增弹框
    getById(id){
      this.isShow = true;
      this.$nextTick(() => {
        this.$refs.sunmaryProcedure.init(id)
      })
    },
    //关闭添加弹框
    cancel() {
      this.isShow = false;
    },
    //查询
    getDataList() {
      getObj().then(res =>{

      })
    },
    // 每页数
    sizeChangeHandle(val) {
      this.pageSize = val;
      this.pageIndex = 1;
      // this.getDataList();
    },
    // 当前页
    currentChangeHandle(val) {
      this.pageIndex = val;
      // this.getDataList();
    },
  }
}
</script>

<style scoped>

</style>
